loci.formats.in

## Class SlideBook7Reader.CAnnotation70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CAnnotation70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CAnnotation70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Boolean` | `mAuxZStageIncreaseTowardsSample`
    `java.lang.Double` | `mAuxZStageMicrons`
    `java.lang.Boolean` | `mAuxZStageMicronsSet`
    `java.lang.Integer` | `mBorderFillPixels`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Boolean[]` | `mChannelMask`
    `java.lang.Integer` | `mDependencyRef`
    `java.lang.Integer` | `mDependencyType70`
    `java.lang.Double` | `mFieldMicronsPerPixel`
    `SlideBook7Reader.CSBPoint<java.lang.Double>` | `mFieldOffsetMicrons`
    `java.lang.Boolean` | `mFieldOffsetSet`
    `java.lang.Integer` | `mGraphicType70`
    `java.lang.Integer` | `mGroupId`
    `java.lang.Integer` | `mObjectId`
    `java.lang.Integer` | `mPlaneId`
    `java.lang.Double` | `mRelativePower`
    `java.lang.Integer` | `mSequenceId`
    `SlideBook7Reader.CSBPoint<java.lang.Double>` | `mStageOffsetMicrons`
    `java.lang.Boolean` | `mStageOffsetSet`
    `java.lang.Boolean` | `mStoreMicronPositions`
    `java.lang.String` | `mText`
    `java.lang.Integer` | `mVersion`
    `java.util.ArrayList<SlideBook7Reader.CSBPoint<java.lang.Integer>>` | `mVertexes`
    `java.lang.Boolean` | `mZStageDirectionsValid`
    `java.lang.Boolean` | `mZStageIncreaseTowardsSample`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAnnotation70()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `DecodeUnknownString(java.lang.String inUnknownString, org.yaml.snakeyaml.nodes.Node inAttrValueNode)`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mGraphicType70

          public java.lang.Integer mGraphicType70

    - #### mDependencyType70

          public java.lang.Integer mDependencyType70

    - #### mText

          public java.lang.String mText

    - #### mChannelMask

          public java.lang.Boolean[] mChannelMask

    - #### mGroupId

          public java.lang.Integer mGroupId

    - #### mPlaneId

          public java.lang.Integer mPlaneId

    - #### mSequenceId

          public java.lang.Integer mSequenceId

    - #### mObjectId

          public java.lang.Integer mObjectId

    - #### mDependencyRef

          public java.lang.Integer mDependencyRef

    - #### mVersion

          public java.lang.Integer mVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mFieldOffsetMicrons

          public SlideBook7Reader.CSBPoint<java.lang.Double> mFieldOffsetMicrons

    - #### mFieldMicronsPerPixel

          public java.lang.Double mFieldMicronsPerPixel

    - #### mFieldOffsetSet

          public java.lang.Boolean mFieldOffsetSet

    - #### mStageOffsetMicrons

          public SlideBook7Reader.CSBPoint<java.lang.Double> mStageOffsetMicrons

    - #### mStageOffsetSet

          public java.lang.Boolean mStageOffsetSet

    - #### mZStageIncreaseTowardsSample

          public java.lang.Boolean mZStageIncreaseTowardsSample

    - #### mAuxZStageMicrons

          public java.lang.Double mAuxZStageMicrons

    - #### mAuxZStageMicronsSet

          public java.lang.Boolean mAuxZStageMicronsSet

    - #### mAuxZStageIncreaseTowardsSample

          public java.lang.Boolean mAuxZStageIncreaseTowardsSample

    - #### mZStageDirectionsValid

          public java.lang.Boolean mZStageDirectionsValid

    - #### mStoreMicronPositions

          public java.lang.Boolean mStoreMicronPositions

    - #### mRelativePower

          public java.lang.Double mRelativePower

    - #### mBorderFillPixels

          public java.lang.Integer mBorderFillPixels

    - #### mVertexes

          public java.util.ArrayList<SlideBook7Reader.CSBPoint<java.lang.Integer>> mVertexes

  - ### Constructor Detail

    - #### CAnnotation70

          public CAnnotation70()

  - ### Method Detail

    - #### DecodeUnknownString

          protected void DecodeUnknownString(java.lang.String inUnknownString,
                                             org.yaml.snakeyaml.nodes.Node inAttrValueNode)

      Overrides:
        `DecodeUnknownString` in class `SlideBook7Reader.ClassDecoder`

Copyright © 2026 Open Microscopy Environment